## org.codehaus.groovy.runtime
Class DefaultGroovyMethods.ProcessRunner

    java.lang.Object
      org.codehaus.groovy.runtime.DefaultGroovyMethods.ProcessRunner

All Implemented Interfaces:
  Runnable

Enclosing class:
  DefaultGroovyMethods

    protected static class DefaultGroovyMethods.ProcessRunner

extends Object
implements Runnable

A Runnable which waits for a process to complete together with a notification scheme allowing another thread to wait a maximum number of seconds for the process to complete before killing it.

Since:
  1.0

Constructor Summary
`DefaultGroovyMethods.ProcessRunner(Process process)`

Method Summary
`void` `run()`
`void` `waitForOrKill(long millis)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultGroovyMethods.ProcessRunner

    public DefaultGroovyMethods.ProcessRunner(Process process)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### waitForOrKill

    public void waitForOrKill(long millis)

Copyright © 2003-2009 The Codehaus. All rights reserved.